<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: field/hstep_file.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_00a13ab5e3afe633796d5c180ae90994.html">field</a>
  </div>
</div>
<div class="contents">
<h1>hstep_file.c File Reference</h1><code>#include &quot;<a class="el" href="field_8h_source.html">field.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for hstep_file.c:</div>
<div class="dynsection">
<div class="center"><img src="hstep__file_8c__incl.png" border="0" usemap="#field_2hstep__file_8c_map" alt=""/></div>
<map name="field_2hstep__file_8c_map" id="field_2hstep__file_8c">
<area shape="rect" id="node3" href="field_8h.html" title="field.h" alt="" coords="173,86,229,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="hstep__file_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hstep__file_8c.html#af662e3927bc9870f827123b765d572fe">HSTEPCOL</a>&nbsp;&nbsp;&nbsp;2</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hstep__file_8c.html#a567e7efd2748f5b33963b581ed12626c">read_hstep_file</a> (FILE *fd, PetscReal **indata, const int col)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">PetscReal&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="hstep__file_8c.html#a17eff24cb6814658a628e43ce697f54a">get_scalf_hstep</a> (PetscReal xydata[], PetscReal xval)</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="af662e3927bc9870f827123b765d572fe"></a><!-- doxytag: member="hstep_file.c::HSTEPCOL" ref="af662e3927bc9870f827123b765d572fe" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HSTEPCOL&nbsp;&nbsp;&nbsp;2</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hstep__file_8c_source.html#l00030">30</a> of file <a class="el" href="hstep__file_8c_source.html">hstep_file.c</a>.</p>

<p>Referenced by <a class="el" href="hstep__file_8c_source.html#l00142">get_scalf_hstep()</a>, and <a class="el" href="hstep__file_8c_source.html#l00046">read_hstep_file()</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a17eff24cb6814658a628e43ce697f54a"></a><!-- doxytag: member="hstep_file.c::get_scalf_hstep" ref="a17eff24cb6814658a628e43ce697f54a" args="(PetscReal xydata[], PetscReal xval)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PetscReal get_scalf_hstep </td>
          <td>(</td>
          <td class="paramtype">PetscReal&nbsp;</td>
          <td class="paramname"> <em>xydata</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal&nbsp;</td>
          <td class="paramname"> <em>xval</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hstep__file_8c_source.html#l00142">142</a> of file <a class="el" href="hstep__file_8c_source.html">hstep_file.c</a>.</p>

<p>References <a class="el" href="hstep__file_8c_source.html#l00030">HSTEPCOL</a>.</p>

<p>Referenced by <a class="el" href="hext__ho_8c_source.html#l00067">Hext_ho_hstep()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hstep__file_8c_a17eff24cb6814658a628e43ce697f54a_icgraph.png" border="0" usemap="#hstep__file_8c_a17eff24cb6814658a628e43ce697f54a_icgraph_map" alt=""></div>
<map name="hstep__file_8c_a17eff24cb6814658a628e43ce697f54a_icgraph_map" id="hstep__file_8c_a17eff24cb6814658a628e43ce697f54a_icgraph">
<area shape="rect" id="node3" href="hext__ho_8c.html#a386ce6c3aee542bfbdfbc8bce99d51fe" title="Hext_ho_hstep" alt="" coords="168,31,277,62"/><area shape="rect" id="node5" href="checkiterationemini_8c.html#a1c9f3282235f811af60323611535e99b" title="CheckIterationEmini" alt="" coords="325,5,464,35"/><area shape="rect" id="node14" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="331,58,459,89"/><area shape="rect" id="node7" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="512,5,571,35"/><area shape="rect" id="node11" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="515,58,568,89"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="619,31,669,62"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a567e7efd2748f5b33963b581ed12626c"></a><!-- doxytag: member="hstep_file.c::read_hstep_file" ref="a567e7efd2748f5b33963b581ed12626c" args="(FILE *fd, PetscReal **indata, const int col)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int read_hstep_file </td>
          <td>(</td>
          <td class="paramtype">FILE *&nbsp;</td>
          <td class="paramname"> <em>fd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PetscReal **&nbsp;</td>
          <td class="paramname"> <em>indata</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const int&nbsp;</td>
          <td class="paramname"> <em>col</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="hstep__file_8c_source.html#l00046">46</a> of file <a class="el" href="hstep__file_8c_source.html">hstep_file.c</a>.</p>

<p>References <a class="el" href="hstep__file_8c_source.html#l00030">HSTEPCOL</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, and <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>.</p>

<p>Referenced by <a class="el" href="hext__ho_8c_source.html#l00165">Hext_ho_hstep_Init()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="hstep__file_8c_a567e7efd2748f5b33963b581ed12626c_icgraph.png" border="0" usemap="#hstep__file_8c_a567e7efd2748f5b33963b581ed12626c_icgraph_map" alt=""></div>
<map name="hstep__file_8c_a567e7efd2748f5b33963b581ed12626c_icgraph_map" id="hstep__file_8c_a567e7efd2748f5b33963b581ed12626c_icgraph">
<area shape="rect" id="node3" href="hext__ho_8c.html#aed1404d744513b58ba58166a487dcbdf" title="Hext_ho_hstep_Init" alt="" coords="167,249,300,279"/><area shape="rect" id="node5" href="hext__ho_8c.html#aa7f4b51477b5dcd5afd1f4b73ffde571" title="Hext_ho_Init" alt="" coords="351,249,444,279"/><area shape="rect" id="node7" href="hext__ho_8c.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="495,249,564,279"/><area shape="rect" id="node9" href="hexternal_8c.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="613,249,691,279"/><area shape="rect" id="node11" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="740,210,785,241"/><area shape="rect" id="node46" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="836,301,937,331"/><area shape="rect" id="node13" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="845,118,928,149"/><area shape="rect" id="node17" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1704,197,1763,227"/><area shape="rect" id="node42" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1548,90,1633,121"/><area shape="rect" id="node52" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="852,197,921,227"/><area shape="rect" id="node15" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1527,143,1655,174"/><area shape="rect" id="node24" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="1016,146,1093,177"/><area shape="rect" id="node29" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="1008,93,1101,123"/><area shape="rect" id="node21" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1707,143,1760,174"/><area shape="rect" id="node19" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1811,170,1861,201"/><area shape="rect" id="node26" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="1172,301,1297,331"/><area shape="rect" id="node31" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="1196,197,1273,227"/><area shape="rect" id="node36" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="1188,93,1281,123"/><area shape="rect" id="node33" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="1347,197,1477,227"/><area shape="rect" id="node38" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1385,93,1439,123"/><area shape="rect" id="node48" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="987,301,1123,331"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

